%global fontname google-lato
%global fontconf 61-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.011
Release:        2%{?dist}
Summary:        A sanserif typeface family

Group:          User Interface/X
License:        OFL
URL:            http://code.google.com/webfonts/family?family=Lato
Source0:        %{name}-%{version}.tar.bz2
# Most recent versions of the fonts are in the Google Font Directory Mercurial
# repository. To retrieve them, invoke this script.
Source1:        %{name}-generate-tarball.sh
Source2:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Lato is a sanserif typeface family designed in the Summer 2010 by Warsaw-based
designer Łukasz Dziedzic ("Lato" means "Summer" in Polish). In December 2010 the
Lato family was published under the open-source Open Font License by his foundry
tyPoland, with support from Google.

When working on Lato, Łukasz tried to carefully balance some potentially
conflicting priorities. He wanted to create a typeface that would seem quite
"transparent" when used in body text but would display some original treats when
used in larger sizes. He used classical proportions (particularly visible in the
uppercase) to give the letterforms familiar harmony and elegance. At the same
time, he created a sleek sanserif look, which makes evident the fact that Lato
was designed in 2010 - even though it does not follow any current trend.

The semi-rounded details of the letters give Lato a feeling of warmth, while the
strong structure provides stability and seriousness. "Male and female, serious
but friendly. With the feeling of the Summer," says Łukasz.

Lato consists of five weights (plus corresponding italics), including a
beautiful hairline style. The first release only includes the Western character
set, but pan-European Latin, Cyrillic and Greek extensions, as well as small
caps and other typographic niceties are expected in 2011.


%prep
%setup -q

# Fix wrong end-of-lines encoding
sed "s/\r//" OFL.txt > OFL.txt.new
touch -r OFL.txt OFL.txt.new
mv OFL.txt.new OFL.txt


%build


%install
rm -fr $RPM_BUILD_ROOT

install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p *.ttf $RPM_BUILD_ROOT%{_fontdir}

install -m 0755 -d $RPM_BUILD_ROOT%{_fontconfig_templatedir} $RPM_BUILD_ROOT%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} $RPM_BUILD_ROOT%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr $RPM_BUILD_ROOT


%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.011-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.011-1
- Update to 1.011
- Change fonts source to the Google Font Directory Mercurial repository

* Tue Jan 11 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.010-1
- Initial RPM release
